### File

`packages/eui/packages/components-next/src/lib/components/eui-input-radio/eui-input-radio.component.ts`

### Extends

`InputDirective`

### Implements

`OnInit` `DoCheck` `OnChanges` `ControlValueAccessor`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `input[euiInputRadio]`
styleUrls | `./styles/_index.scss`

### Index

###### Methods
registerOnChange registerOnTouched Optional setDisabledState writeValue
###### Inputs
checked isInvalid label styleClass
###### HostBindings
attr.type class
###### HostListeners
change change
###### Accessors
isInvalid defaultChecked selected

### Constructor

`constructor(ngControl: NgControl, _elementRef: ElementRef, _renderer: Renderer2, _cd: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
ngControl | `NgControl` | No
_elementRef | `ElementRef<HTMLInputElement>` | No
_renderer | `Renderer2` | No
_cd | `ChangeDetectorRef` | No

### Inputs

checked
Type : `boolean`

isInvalid

label
Type : `string`

styleClass
Type : `string`

### HostBindings

attr.type
Type : `string`
Default value : `'radio'`

class
Type : `any`

### HostListeners

change
Arguments : `'$event.target.checked'`
`change(checked)`

change
Arguments : `'$event.target.value'`
`change(value)`

### Methods

registerOnChange
`registerOnChange(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

registerOnTouched
`registerOnTouched(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

Optional setDisabledState
`setDisabledState(isDisabled: boolean)`
Parameters :
Name | Type | Optional
isDisabled | `boolean` | No
Returns : `void`

writeValue
`writeValue(obj: string)`
Parameters :
Name | Type | Optional
obj | `string` | No
Returns : `void`

### Accessors

isInvalid
set `isInvalid(state: any)`
Parameters :
Name | Type | Optional
state | `any` | No
Returns : `void`

defaultChecked
set `defaultChecked(value: boolean)`
Parameters :
Name | Type | Optional
value | `boolean` | No
Returns : `void`

selected
get `selected()`

# result-matching ""

# No results matching ""